Lists active members of a team with cursor-based pagination and an optional `role` filter. Only available to active members of the team; callers with a pending invite receive `404`.

Path Parameters
  • id
    Type: string
    required

    Team ID

Query Parameters
  • role
    Type: string

    Optional role filter — one of 'admin' or 'member'.

  • page_size
    Type: string Pattern: ^-?(?:0|[1-9]\d*)$Format: int32

    Number of members per page (1-100, default 50)

  • cursor
    Type: string

    Opaque cursor token from a previous response.

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/teams/{id}/members
curl 'https://app.propstreet.com/api/v1/teams/{id}/members?role=&page_size=&cursor=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "string",
      "user": {
        "id": "string",
        "email": null,
        "phone": null,
        "firstName": null,
        "lastName": null
      },
      "role": "string",
      "status": "string",
      "jobTitle": null,
      "joinedUtc": "2026-05-18T20:22:36.959Z"
    }
  ],
  "page": {
    "nextCursor": null,
    "pageSize": "string",
    "hasMore": true
  }
}